Package javax.help

# Class HelpSetException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.help.HelpSetException

All Implemented Interfaces:
  `Serializable`

public class HelpSetException extends Exception
This exeception reports generic failures in HelpSet.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HelpSetException(String s)`
Constructs a HelpSetException with a specified detailed message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HelpSetException

public HelpSetException(String s)
Constructs a HelpSetException with a specified detailed message. A detail message is a String that describes this particular exception.